--[[

@author Esperanza - Everlook/EU-Alliance
@copyright ©2021 The DKP Loot Master Authors. All Rights Reserved.

Licensed under the GNU General Public License, Version 3.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.gnu.org/licenses/gpl-3.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS-IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

--]]
local addon = _G.dkpLootMaster;

-- define model
IgnoreItemClassesModel = {};
IgnoreItemClassesModel.__index = IgnoreItemClassesModel;

-- Create model.
function IgnoreItemClassesModel:Create()
    return {
        -- consumables
        [LE_ITEM_CLASS_CONSUMABLE] = {
            ignore = true
        },

        -- reagent
        [LE_ITEM_CLASS_REAGENT] = {
            -- reagent
            [0] = {
                ignore = true
            }
        },

        -- trade goods
        [LE_ITEM_CLASS_TRADEGOODS] = {
            ignore = true
        },

        -- quest item
        [LE_ITEM_CLASS_QUESTITEM] = {
            ignore = true
        },

        -- miscellaneous
        [LE_ITEM_CLASS_MISCELLANEOUS] = {
            -- junk
            [LE_ITEM_MISCELLANEOUS_JUNK] = {
                ignore = true
            },
            -- other stuff
            [LE_ITEM_MISCELLANEOUS_OTHER] = {
                ignore = true
            }
        }
    };
end

-- register model
addon:RegisterModel(IgnoreItemClassesModel, "ignore-item-classes");
