--[[

@author Esperanza - Everlook/EU-Alliance
@copyright ©2021 The DKP Loot Master Authors. All Rights Reserved.

Licensed under the GNU General Public License, Version 3.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.gnu.org/licenses/gpl-3.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS-IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

--]]
local addon = _G.dkpLootMaster;

-- define model
ItemPlayerClassesModel = {};
ItemPlayerClassesModel.__index = ItemPlayerClassesModel;

-- Create model.
function ItemPlayerClassesModel:Create()
    -- list of items to ignore if is one of the matchin player classes
    return {
        -- weapon
        [LE_ITEM_CLASS_WEAPON] = {
            [LE_ITEM_WEAPON_AXE1H] = {"HUNTER", "PALADIN", "SHAMAN", "WARRIOR"},
            [LE_ITEM_WEAPON_AXE2H] = {"HUNTER", "PALADIN", "SHAMAN", "WARRIOR"},
            [LE_ITEM_WEAPON_BOWS] = {"HUNTER", "ROGUE", "WARRIOR"},
            [LE_ITEM_WEAPON_CROSSBOW] = {"HUNTER", "ROGUE", "WARRIOR"},
            [LE_ITEM_WEAPON_DAGGER] = {"HUNTER", "DRUID", "MAGE", "PRIEST", "ROGUE", "SHAMAN", "WARLOCK", "WARRIOR"},
            [LE_ITEM_WEAPON_GUNS] = {"HUNTER", "ROGUE", "WARRIOR"},
            [LE_ITEM_WEAPON_MACE1H] = {"DRUID", "PALADIN", "PRIEST", "ROGUE", "SHAMAN", "WARRIOR"},
            [LE_ITEM_WEAPON_MACE2H] = {"DRUID", "PALADIN", "SHAMAN", "WARRIOR"},
            [LE_ITEM_WEAPON_POLEARM] = {"HUNTER", "PALADIN", "WARRIOR"},
            [LE_ITEM_WEAPON_SWORD1H] = {"HUNTER", "MAGE", "PALADIN", "ROGUE", "WARLOCK", "WARRIOR"},
            [LE_ITEM_WEAPON_SWORD2H] = {"HUNTER", "PALADIN", "WARRIOR"},
            [LE_ITEM_WEAPON_STAFF] = {"HUNTER", "DRUID", "MAGE", "PRIEST", "SHAMAN", "WARLOCK", "WARRIOR"},
            [LE_ITEM_WEAPON_WAND] = {"MAGE", "PRIEST", "WARLOCK"},
            [LE_ITEM_WEAPON_UNARMED] = {"HUNTER", "DRUID", "ROGUE", "WARRIOR"},
            [LE_ITEM_WEAPON_THROWN] = {"HUNTER", "ROGUE", "WARRIOR"}
        },

        -- armor
        [LE_ITEM_CLASS_ARMOR] = {
            [LE_ITEM_ARMOR_CLOTH] = {"WARRIOR", "PALADIN", "DRUID", "ROGUE", "PRIEST", "MAGE", "WARLOCK", "HUNTER",
                                     "SHAMAN"},
            [LE_ITEM_ARMOR_LEATHER] = {"WARRIOR", "PALADIN", "DRUID", "ROGUE", "HUNTER", "SHAMAN"},
            [LE_ITEM_ARMOR_MAIL] = {"WARRIOR", "PALADIN", "HUNTER", "SHAMAN"},
            [LE_ITEM_ARMOR_PLATE] = {"WARRIOR", "PALADIN"},
            [LE_ITEM_ARMOR_SHIELD] = {"WARRIOR", "PALADIN", "SHAMAN"},
            [LE_ITEM_ARMOR_LIBRAM] = {"PALADIN"},
            [LE_ITEM_ARMOR_IDOL] = {"DRUID"},
            [LE_ITEM_ARMOR_TOTEM] = {"SHAMAN"},
            [LE_ITEM_ARMOR_SIGIL] = {}
        }
    };
end

-- register model
addon:RegisterModel(ItemPlayerClassesModel, "item-player-classes");
