--[[

@author Esperanza - Everlook/EU-Alliance
@copyright ©2021 The DKP Loot Master Authors. All Rights Reserved.

Licensed under the GNU General Public License, Version 3.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.gnu.org/licenses/gpl-3.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS-IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

--]]
local addon = _G.dkpLootMaster;

-- define model
LootModel = {};
LootModel.__index = LootModel;

-- Create model.
function LootModel:Create(creatureId, slot, itemId, itemLink, itemIcon, participants)
    -- create loot
    local loot = {
        id = addon:GetService("message"):GenerateString(30),
        creatureId = creatureId,
        slot = slot,
        itemId = itemId,
        itemLink = itemLink,
        itemIcon = itemIcon,
        participants = participants,
        isInAuction = false
    };
    setmetatable(loot, LootModel);
    return loot;
end

-- register model
addon:RegisterModel(LootModel, "loot");
