--[[

@author Esperanza - Everlook/EU-Alliance
@copyright ©2021 The DKP Loot Master Authors. All Rights Reserved.

Licensed under the GNU General Public License, Version 3.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.gnu.org/licenses/gpl-3.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS-IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

--]]
local addon = _G.dkpLootMaster;

-- define message
BidMessage = {};
BidMessage.__index = BidMessage;
BidMessage.prefix = "Bid";

-- Create message model.
function BidMessage:Create(auctionId, gold, dkp, isGreed)
    local message = {
        auctionId = auctionId,
        gold = gold,
        dkp = dkp,
        isGreed = isGreed
    }
    setmetatable(message, BidMessage);
    return message;
end

-- parse message from string
function BidMessage:Parse(value)
    local values = addon:GetService("message"):SplitString(value, ":");
    local message = {
        auctionId = values[1],
        gold = tonumber(values[2]),
        dkp = tonumber(values[3]),
        isGreed = (tonumber(values[4]) == 1),
    }
    setmetatable(message, BidMessage);
    return message;
end

-- convert message to string
function BidMessage:ToString()
    return table.concat({
        self.auctionId,
        self.gold,
        self.dkp,
        (self.isGreed and "1" or "0")
    }, ":");
end

-- register model
addon:RegisterModel(BidMessage, "bid-message");