--[[

@author Esperanza - Everlook/EU-Alliance
@copyright ©2021 The DKP Loot Master Authors. All Rights Reserved.

Licensed under the GNU General Public License, Version 3.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.gnu.org/licenses/gpl-3.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS-IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

--]]
local addon = _G.dkpLootMaster;

-- define message
PlayerRolledMessage = {};
PlayerRolledMessage.__index = PlayerRolledMessage;
PlayerRolledMessage.prefix = "PlayerRolled";

-- Create message model.
function PlayerRolledMessage:Create(auctionId, player, roll)
    local message = {
        auctionId = auctionId,
        player = player,
        roll = roll
    }
    setmetatable(message, PlayerRolledMessage);
    return message;
end

-- parse message from string
function PlayerRolledMessage:Parse(value)
    local values = addon:GetService("message"):SplitString(value, ":");
    local message = {
        auctionId = values[1],
        player = values[2],
        roll = tonumber(values[3])
    }
    setmetatable(message, PlayerRolledMessage);
    return message;
end

-- convert message to string
function PlayerRolledMessage:ToString()
    return table.concat({
        self.auctionId,
        self.player,
        self.roll
    }, ":");
end

-- register model
addon:RegisterModel(PlayerRolledMessage, "player-rolled-message");
