--[[

@author Esperanza - Everlook/EU-Alliance
@copyright ©2021 The DKP Loot Master Authors. All Rights Reserved.

Licensed under the GNU General Public License, Version 3.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.gnu.org/licenses/gpl-3.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS-IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

--]]
local addon = _G.dkpLootMaster;

-- define model
ParticipationModel = {};
ParticipationModel.__index = ParticipationModel;

-- Create model.
function ParticipationModel:Create(auction, auctioneer, stock)
    local participation = {
        auction = auction,
        auctioneer = auctioneer,
        stock = stock,
        view = nil,
        isGreed = nil,
        options = {
            canPass = false,
            minGold = 0,
            maxGold = 0,
            minDkp = 0,
            maxDkp = 0,
            quickDkp = 0,
            selectMainGreed = false
        },
        highestBidder = false,
        passed = false
    };
    setmetatable(participation, ParticipationModel);
    return participation;
end

-- register model
addon:RegisterModel(ParticipationModel, "participation");
