--[[

@author Esperanza - Everlook/EU-Alliance
@copyright ©2021 The DKP Loot Master Authors. All Rights Reserved.

Licensed under the GNU General Public License, Version 3.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.gnu.org/licenses/gpl-3.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS-IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

--]]
local addon = _G.dkpLootMaster;

-- handle command line 
local function CommandHandler(parameters)
    -- check if help should be shown
    if (string.len(parameters) <= 0) then
        -- write help
        local chatService = addon:GetService("chat");
        chatService:Write("CommandsTitle");
        chatService:Write("CommandsSettings");
        chatService:Write("CommandsHistory");
        chatService:Write("CommandsStart");
        if (addon:GetService("settings"):DkpEnabled()) then
            chatService:Write("CommandsDkp");
        end
        return;
    end

    -- check if queue should be started
    if (string.lower(parameters) == "start") then
        addon:GetService("queue"):StartLootWatch(false);
    end

    -- check if queue should be stopped
    if (string.lower(parameters) == "stop") then
        addon:GetService("queue"):StopLootWatch();
        addon:GetService("stocks"):ShowRaidEnd();
    end

    -- check if history should be shown
    if (string.lower(parameters) == "history") then
        -- show history
        addon:GetService("history"):ShowHistory();
    end

    -- check if settings should be shown
    if (string.lower(parameters) == "settings") then
        -- show settings
        addon:GetService("settings"):ShowSettings();
    end

    -- check if stocks should be shown
    if (string.lower(parameters) == "dkp") then
        -- show stocks
        addon:GetService("stocks"):ShowStocks(false);
    end

    -- check if history should be shown
    if (string.lower(parameters) == "debug") then
        addon:ToggleDebug();
    end

    -- check if history should be shown
    if (string.lower(parameters) == "trace") then
        addon:ToggleTrace();
    end
end

-- register handler
SLASH_DKPLootMaster1 = "/dlm"
SlashCmdList["DKPLootMaster"] = CommandHandler;
