--[[

@author Esperanza - Everlook/EU-Alliance
@copyright ©2021 The DKP Loot Master Authors. All Rights Reserved.

Licensed under the GNU General Public License, Version 3.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.gnu.org/licenses/gpl-3.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS-IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

--]]
local addon = _G.dkpLootMaster;

-- define view
ConfirmationView = {};
ConfirmationView.__index = ConfirmationView;

-- show view
function ConfirmationView:Show(title, quesion, onYesClicked)
    -- create view
    local uiService = addon:GetService("ui");
    local view = uiService:CreateView("DLMConfirmation", 380, 120, title);

    -- add quesion text
    local quesionText = view:CreateFontString(nil, "OVERLAY", "GameFontNormalSmall");
    quesionText:SetTextColor(1, 1, 1);
    quesionText:SetPoint("TOPLEFT", 16, -36);
    quesionText:SetPoint("BOTTOMRIGHT", -16, 46);
    quesionText:SetText(quesion);

    -- add yes button
    local yesButton = uiService:CreateButton(view, buttonText, function()
        view:Hide();
        onYesClicked();
    end);
    yesButton:SetWidth(100);
    yesButton:SetHeight(28);
    yesButton:SetPoint("BOTTOMLEFT", 60, 14);
    yesButton:SetText(addon:GetService("locale"):Get("Yes"));

    -- add no button
    local noButton = uiService:CreateButton(view, buttonText, function()
        view:Hide();
    end);
    noButton:SetWidth(100);
    noButton:SetHeight(28);
    noButton:SetPoint("BOTTOMRIGHT", -60, 14);
    noButton:SetText(addon:GetService("locale"):Get("No"));
end

-- register view
addon:RegisterView(ConfirmationView, "confirmation");
